gdcm::network::AAssociateACPDU Class Reference

AAssociateACPDU. More...

`#include <gdcmAAssociateACPDU.h>`

Inheritance diagram for gdcm::network::AAssociateACPDU:
[legend]
Collaboration diagram for gdcm::network::AAssociateACPDU:
[legend]

## Public Types

typedef std::vector< PresentationContextAC >::size_type | SizeType

## Public Member Functions

| AAssociateACPDU ()
void | AddPresentationContextAC (PresentationContextAC const &pcac)
SizeType | GetNumberOfPresentationContextAC () const
const PresentationContextAC & | GetPresentationContextAC (SizeType i)
const UserInformation & | GetUserInformation () const
void | InitFromRQ (AAssociateRQPDU const &rqpdu)
bool | IsLastFragment () const override
void | Print (std::ostream &os) const override
std::istream & | Read (std::istream &is) override
SizeType | Size () const override
const std::ostream & | Write (std::ostream &os) const override
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()=default

## Protected Member Functions

void | SetCalledAETitle (const char calledaetitle[16])
void | SetCallingAETitle (const char callingaetitle[16])

## Friends

class | AAssociateRQPDU

## Detailed Description

AAssociateACPDU.

Table 9-17 ASSOCIATE-AC PDU fields

## Member Typedef Documentation

## SizeType

typedef std::vector<PresentationContextAC>::size_type gdcm::network::AAssociateACPDU::SizeType

## Constructor & Destructor Documentation

## AAssociateACPDU()

gdcm::network::AAssociateACPDU::AAssociateACPDU | ( |  | ) |

## Member Function Documentation

## AddPresentationContextAC()

void gdcm::network::AAssociateACPDU::AddPresentationContextAC | ( | PresentationContextAC const & | pcac | ) |

## GetNumberOfPresentationContextAC()

SizeType gdcm::network::AAssociateACPDU::GetNumberOfPresentationContextAC | ( |  | ) | const

inline

## GetPresentationContextAC()

const PresentationContextAC & gdcm::network::AAssociateACPDU::GetPresentationContextAC | ( | SizeType | i | ) |

inline

## GetUserInformation()

const UserInformation & gdcm::network::AAssociateACPDU::GetUserInformation | ( |  | ) | const

inline

## InitFromRQ()

void gdcm::network::AAssociateACPDU::InitFromRQ | ( | AAssociateRQPDU const & | rqpdu | ) |

References AAssociateRQPDU.

## IsLastFragment()

bool gdcm::network::AAssociateACPDU::IsLastFragment | ( |  | ) | const

inline override virtual

Implements gdcm::network::BasePDU.

## Print()

void gdcm::network::AAssociateACPDU::Print | ( | std::ostream & | os | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Read()

std::istream & gdcm::network::AAssociateACPDU::Read | ( | std::istream & | is | ) |

override virtual

Implements gdcm::network::BasePDU.

## SetCalledAETitle()

void gdcm::network::AAssociateACPDU::SetCalledAETitle | ( | const char | calledaetitle[16] | ) |

protected

## SetCallingAETitle()

void gdcm::network::AAssociateACPDU::SetCallingAETitle | ( | const char | callingaetitle[16] | ) |

protected

References AAssociateRQPDU.

## Size()

SizeType gdcm::network::AAssociateACPDU::Size | ( |  | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Write()

const std::ostream & gdcm::network::AAssociateACPDU::Write | ( | std::ostream & | os | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Friends And Related Symbol Documentation

## AAssociateRQPDU

friend class AAssociateRQPDU

friend

References AAssociateRQPDU.

Referenced by AAssociateRQPDU, InitFromRQ(), and SetCallingAETitle().

The documentation for this class was generated from the following file:

- gdcmAAssociateACPDU.h